Author Topic: how to upgrade old json wallet to BTS 2.0?  (Read 863 times)

0 Members and 1 Guest are viewing this topic.

Offline osayan

  • Newbie
  • *
  • Posts: 7
    • View Profile
how to upgrade old json wallet to BTS 2.0?
« on: June 08, 2017, 07:15:33 am »
I find my old wallet in my computer,it's name is BitShares X Wallet Backup140912.json
It is back up in 2014-9-12.At that it may be BitsharesX time.
How can I use the wallet now?
I install Bitshares 0.9.3,it say "wrong password".

Offline mrperozzi

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: how to upgrade old json wallet to BTS 2.0?
« Reply #1 on: June 10, 2017, 09:48:24 am »
Bump, i have the same issue. I have the old json but cant restore my wallet due to "wrong password".

Offline birdinc

  • Newbie
  • *
  • Posts: 7
    • View Profile
Re: how to upgrade old json wallet to BTS 2.0?
« Reply #2 on: June 10, 2017, 02:27:39 pm »
Same issue. Have old bitsharesX JSON file and what i think is the right password but cant load wallet. Please help.

Offline mrbildo

  • Jr. Member
  • **
  • Posts: 34
    • View Profile
Re: how to upgrade old json wallet to BTS 2.0?
« Reply #3 on: June 10, 2017, 02:42:27 pm »
I think you guys need to reexport the wallets form 0.9.3c using the non-gui wallet.

reinstall 0.9.3c from here: https://github.com/bitshares/bitshares1-core/releases

download the blockchain from here: https://mega.nz/#!P8BhCZ4I!NZHkhUEbrgVTNRI1QXhDJI6ly7z1Fv2nFgrpQM1UWDQ

Put it in the %appdata%Bitshares location

Then follow theses steps to resync your chain then export a new key.
I think you have to do this with the non-gui wallet though.

Better instructions here: https://bitsharestalk.org/index.php/topic,20822.0.html

Lots of people having trouble here, we really need devs to do something about this.

 I still can't get mine to work. Good luck

Offline osayan

  • Newbie
  • *
  • Posts: 7
    • View Profile
Re: how to upgrade old json wallet to BTS 2.0?
« Reply #4 on: January 09, 2018, 06:53:07 am »
UP
still can use the wallet backup file.
 :'(
Anyone can help?